module Korinthenkacker
  module Reporters
    class Simple
      def print_jobs_report(jobs)
        puts jobs.map(&:name)
      end

      def print_builds_report(reports)
        puts reports.map { |report|
          "#{report.build}\t#{report.success?}\t#{report.duration}"
        }.join("\n")
      end

      def print_scenario_reports(test_cases)
        test_cases.each { |test_case| print_scenario_report(test_case) }
      end

      private

      def print_scenario_report(scenario)
        printf("%s\t%s\t'%s'\n", scenario.build, scenario.duration, scenario.full_name)
      end
    end
  end
end
