module Korinthenkacker
  module Reporters
    class Verbose
      def print_jobs_report(jobs)
        puts jobs.map(&:name)
      end

      def print_builds_report(reports)
        output = ["#\tsuccess\tduration"]
        reports.each do |report|
          output << "#{report.build}\t#{report.success?}\t#{report.duration}"
        end
        puts output.join("\n")
      end

      def print_scenario_reports(test_cases)
        print_table_header unless test_cases.empty?

        test_cases.each { |test_case| print_scenario_report(test_case) }
      end

      private

      def print_table_header
        printf("%s\t%-15s\t%s\n", '#', 'duration', 'scenario name')
      end

      def print_scenario_report(scenario)
        printf("%s\t%-15s\t'%s'\n", scenario.build, scenario.duration, scenario.full_name)
      end
    end
  end
end
